#!/bin/bash
# viewdata.sh
# Conversion de VISUDONNEES.BAT en script shell.

FICHIERDONNEES=/home/bozo/datafiles/book-collection.data
SANSARGUMENT=1

# @ECHO OFF       Commande inutile ici.

if [ $# -lt "$SANSARGUMENT" ]   # IF !%1==! GOTO VIEWDATA
then
  less $FICHIERDONNEES          # TYPE C:\MYDIR\BOOKLIST.TXT | MORE
else
  grep "$1" $FICHIERDONNEES     # FIND "%1" C:\MYDIR\BOOKLIST.TXT
fi  

exit 0                    # :EXIT0

#  Les GOTOs, labels, smoke-and-mirrors et flimflam sont inutiles.
#  Le script converti est court, joli et propre, ce qu'on ne peut pas dire de
#+ l'original.
